FF4 compatible Rated 5 out of 5 stars

To work with FF4 use this beta from developer:
http://downloads.mozdev.org/newsfox/newsfox-next.xpi

This review is for a previous version of the add-on (1.0.5). 

The newest version is always at http://newsfox.mozdev.org/installation.html#newest.